Light APIv1.0.0

API / Reference / User Comments

Update user comment

PATCH https://api.light.inc/v1/user-comments/{userCommentId}

Updates the given user comment

Authorization

Send one of these on every request. See Authentication for how to get credentials.

  • API key

    Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

  • Bearer token

Path parameters

  • userCommentId string · uuidrequired

Request body

application/json;charset=UTF-8

  • content string

    Comment content.

Response

  • id string · uuid

    ID of the comment.

  • companyId string · uuid

    ID of the company this comment belongs to.

  • resourceId string · uuid

    ID of the resource this comment is attached to (e.g. vendor, customer, etc.).

  • content string

    Comment content.

  • createdBy string · uuid

    ID of the user who created the comment.

  • createdAt string · date-time

    Timestamp when the comment was created.

  • updatedAt string · date-time

    Timestamp when the comment was last updated.